<?php
/**
 * Delic News Aggregator
 *
 *  A news aggregator intended to mimic the functionality of PopURLs.  Based on the simplepie library and the simplr theme.
 *
 * @author Raj Shah
 * @link http://news.delic.com/index.php
 * @license http://www.opensource.org/licenses/bsd-license.php BSD License

 * SimplePie information:""
 * @package Newsblocks
 * @version 1.1
 * @author Ryan Parman
 * @link http://simplepie.org/wiki/tutorial/how_to_replicate_popurls Newsblocks tutorial page.
 * @license http://www.opensource.org/licenses/bsd-license.php BSD License 

*/

//Call the PHP libraries we need to include
require_once('./php/includes/simplepie.inc');
require_once('./php/includes/newsblocks.inc');

header('Content-type:text/html; charset=utf-8');

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">	
<head>
	<title>News aggregator at Delic.com</title>
	<link rel="stylesheet" href="./css/styles.css" type="text/css" media="screen" charset="utf-8" />

<!--Metatag info -->
	<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
	<meta name="description" content="A PopURLs clone you can make for yourself" />
	<meta name="keywords" content="aggregator, youtube, flickr, blogs, popurls" />

<!--Stylesheets -->
	<link rel="stylesheet" title="dark" href="./css/styleb.css" type="text/css" media="all" />
	<link rel="alternate stylesheet" title="white" href="./css/style.css" type="text/css" media="all" />
	

<!--Javascript -->
	<script type="text/javascript" src="./js/textsizer.js"></script>
	<script src="./js/prototype.js" type="text/javascript"></script>
	<script src="./js/scriptaculous/effects.js" type="text/javascript"></script>
	<script src="./js/behaviour.js" type="text/javascript"></script>
	<script src="./js/newsblocks.js" type="text/javascript"></script>
	<script src="./js/jquery.js" type="text/javascript"></script>
	<script src="./js/jquery.dimensions.js" type="text/javascript"></script>
	<script src="./js/jquery.hoverIntent.js" type="text/javascript"></script>
	<script src="./js/jquery.cluetip.js" type="text/javascript"></script>
<!--	<script src="./js/sweetTitles.js" type="text/javascript"></script> -->

	<script type="text/javascript">
	function bookmarksite(title, url){
	if (document.all)
	window.external.AddFavorite(url, title);
	else if (window.sidebar)
	window.sidebar.addPanel(title, url, "")
	}
	</script>

	<!--This script should appear below your LINK stylesheet tags -->
	<script src="./js/styleswitch.js" type="text/javascript">
	/***********************************************
	* Style Sheet Switcher v1.1- © Dynamic Drive DHTML code library (www.dynamicdrive.com)
	* This notice MUST stay intact for legal use
	* Visit Dynamic Drive at http://www.dynamicdrive.com/ for this script and 100s more
	***********************************************/
	</script>

	<link rel="pingback" href="./php/xmlrpc.php" />

		<link rel="EditURI" type="application/rsd+xml" title="RSD" href="./php/xmlrpc.php?rsd" />

	<style type="text/css" media="all">
	/*<![CDATA[*/

	div#col1 { float: left; clear: left;}
	div#col2 { float: right; }
	body { font-size: 75%; }
	body, li#search input#s, input#author, input#email, input#url, textarea#comment { font-family: tahoma, geneva, sans-serif; }
	h1#title, p#description, h2.post-title, div.post-entry h1, div.post-entry h2, div.post-entry h3, div.post-entry h4, div.post-entry h5, div.post-entry h6 { font-family: "trebuchet ms", helvetica, sans-serif; }
	div#container { width: 950px; }
	div.post { text-align: left; }
	/*]]>*/
	</style>
	
	
<!-- JQUERY calls here, using noConflict because of prototype.js-->
	<script type="text/javascript">
     jQuery.noConflict();

     // Put all your code in your document ready area
     jQuery(document).ready(function($){
       // Do jQuery stuff using $
       $("a.ctip").cluetip({
	    splitTitle: '|', // use the invoking element's title attribute to populate the clueTip...
	                     // ...and split the contents into separate divs where there is a "|"
	    showTitle: false // hide the clueTip's heading
	  });
     });
   </script>
 <link rel="stylesheet" href="./css/jquery.cluetip.css" type="text/css" />
	
</head>
<body>
	<body>
	<div id="banner-nav">
		<div id="banner-nav-center">
			<ul id="banner-nav-pages">
				<div style="float:left;"><li><a title="Home" href="http://news.delic.com">Delic News</a> - an Alltop/PopURLs homage</li>
				</div>
			<div style="float:right;">
				<?php echo date('l, j M Y'); ?>	
			</div>		
			</ul>
		</div>
	</div>
	<div id="container">
		<div id="header">
		</div>
		<div id="wrapper">
			<div id="content" class="narrowcolumn">
				<div id="post-1" class="post">
					<div class="news-entry">
						<!-- start 1st row -->
						<div class="clearer"></div>
						<div style="float:left;"><!-- left column -->
							<?php echo newsblocks::render('http://digg.com/rss/index.xml'); ?>
						</div>
						
						<div style="float:right;"><!-- right column -->
							<?php echo newsblocks::render('http://reddit.com/.rss'); ?>
						</div>		
						
						<div style="float:right; margin-right:30px;"><!-- middle column -->
							<?php echo newsblocks::render('http://del.icio.us/rss/'); ?>
						</div>
						<!-- end 1st row -->
						
						<!-- start youtube row -->
						<div class="clearer"></div>
						<div style="float:left;width:950px">
							<h2><a href="www.youtube.com"><img width="16" height="16" border="none" src="http://www.youtube.com/favicon.ico"> youtube</a></h2>			
							<?php echo newsblocks::render_wide('http://gdata.youtube.com/feeds/api/standardfeeds/most_viewed?time=today', array('items' => 12));?>
						</div>	
						<!-- end youtube row -->	
						
						<!-- start 2nd row -->
						<div class="clearer"></div>
						<div style="float:left;"><!-- left column -->
							<?php echo newsblocks::render('http://www.newsvine.com/_feeds/rss2/index'); ?>
						</div>

						<div style="float:right;"><!-- right column -->
							<?php echo newsblocks::render('http://rss.tailrank.com/posts'); ?>
						</div>

						<div style="float:right; margin-right:30px;"><!-- middle column -->
							<?php echo newsblocks::render('http://feeds.feedburner.com/Truemors?format=xml'); ?>
						</div>
						<!-- end 2nd row -->
						
						<!-- start flickr row -->
						<div class="clearer"></div>
						<div style="float:left;width:950px">
							<h2><a href="www.flickr.com"><img width="16" height="16" border="none" src="http://www.flickr.com/favicon.ico"> flickr</a></h2>
							<?php echo newsblocks::render_flickr('http://feeds.feedburner.com/flickr_interestingness', array('items'=>16)); ?>
						</div>
						<!-- end flickr row -->
						
						<!-- start 3rd row -->
						<div class="clearer"></div>
						<div style="float:left;"><!-- left column -->
							<?php echo newsblocks::render('http://news.google.com/?output=rss'); ?>
						</div>

						<div style="float:right;"><!-- right column -->
							<?php echo newsblocks::render('http://feeds.feedburner.com/Techcrunch'); ?>
						</div>

						<div style="float:right; margin-right:30px;"><!-- middle column -->
							<?php echo newsblocks::render('http://rss.news.yahoo.com/rss/topstories'); ?>
						</div>
						<!-- end 3rd row -->
						
						<!-- start visual news row -->
						<div class="clearer"></div>
						<div style="float:left;width:950px">
							<h2><a href="http://www.thephotostream.com"><img width="16" height="16" border="none" src="http://www.thephotostream.com/favicon.ico"> photostream</a></h2>									
							<?php echo newsblocks::render_flickr('http://www.thephotostream.com/rss', array('items'=>16)); ?>
						</div>
						<!-- end visual news row -->
						
						<!-- start 4th row -->
						<div class="clearer"></div>
						<div style="float:left;"><!-- left column -->
							<?php echo newsblocks::render('http://feeds.wired.com/wired/index'); ?>
						</div>

						<div style="float:right;"><!-- right column -->
							<?php echo newsblocks::render('http://feeds.boingboing.net/boingboing/iBag'); ?>
						</div>

						<div style="float:right; margin-right:30px;"><!-- middle column -->
							<?php echo newsblocks::render('http://rss.slashdot.org/Slashdot/slashdot'); ?>
						</div>
						<!-- end 4th row -->
						
						<!-- start pixdaus row -->
						<div class="clearer"></div>
						<div style="float:left;width:950px">
							<h2><a href="http://pixdaus.com/"><img width="16" height="16" border="none" src="http://pixdaus.com/favicon.ico">Pixdaus</a></h2>									
							<?php echo newsblocks::render_pixdaus('http://feeds.feedburner.com/PizdausPopularTodayPics', array('items'=>16)); ?>
						</div>
						<!-- end pixdaus row -->

						<!-- start 5th row -->
						<div class="clearer"></div>
						<div style="float:left;"><!-- left column -->
							<?php echo newsblocks::render('http://www.fark.com/fark.rss'); ?>
						</div>

						<div style="float:right;"><!-- right column -->
							<?php echo newsblocks::render('http://feeds.feedburner.com/CrackedRSS'); ?>
						</div>

						<div style="float:right; margin-right:30px;"><!-- middle column -->
							<?php echo newsblocks::render('http://www.nowpublic.com/developing/feed?filter=news&order=recent'); ?>
						</div>
						<!-- end 5th row -->
						
						
						<!-- start webshots row -->
						<div class="clearer"></div>
						<div style="float:left;width:950px">
							<h2><a href="http://www.webshots.com"><img width="16" height="16" border="none" src="http://www.webshots.com/favicon.ico"> webshots</a></h2>									
							<?php echo newsblocks::render_flickr('http://www.webshots.com/rss?type=potd', array('items'=>16)); ?>
						</div>
						<!-- end webshots row -->

						<!-- start 6th row -->
						<div class="clearer"></div>
						<div style="float:left;"><!-- left column -->
							<?php echo newsblocks::render('http://feeds.mixx.com/MixxPopular'); ?>
						</div>

						<div style="float:right;"><!-- right column -->
							<?php echo newsblocks::render('http://feeds.feedburner.com/Neatorama'); ?>
						</div>

						<div style="float:right; margin-right:30px;"><!-- middle column -->
							<?php echo newsblocks::render('http://rss.clipmarks.com/sort/latest-pops/filter/clips/'); ?>
						</div>
						<!-- end 6th row -->

						<!-- start 7th row -->
						<div class="clearer"></div>
						<div style="float:left;"><!-- left column -->
							<?php echo newsblocks::render('http://rss.stumbleupon.com/buzz/'); ?>
						</div>

						<div style="float:right;"><!-- right column -->
							<?php echo newsblocks::render('http://linkfilter.net/index.xml?'); ?>
						</div>

						<div style="float:right; margin-right:30px;"><!-- middle column -->
							<?php echo newsblocks::render('http://feeds.gawker.com/lifehacker/excerpts.xml'); ?>
						</div>
						<!-- end 7th row -->

						<!-- start ffffound row -->
						<div class="clearer"></div>
						<div style="float:left;width:950px">
							<h2><a href="http://ffffound.com/"><img width="16" height="16" border="none" src="http://ffffound.com/favicon.ico">FFFFound</a></h2>									
							<?php echo newsblocks::render_pixdaus('http://feeds.feedburner.com/ffffound/everyone', array('items'=>16)); ?>
						</div>
						<!-- end ffffound row -->						
						

						<!-- start 8th row -->
						<div class="clearer"></div>
						<div style="float:left;"><!-- left column -->
							<?php echo newsblocks::render('http://www.linkriver.com/popular/river.xml'); ?>
						</div>

						<div style="float:right;"><!-- right column -->
							<?php echo newsblocks::render('http://www.techsted.com/xml.php'); ?>
						</div>

						<div style="float:right; margin-right:30px;"><!-- middle column -->
							<?php echo newsblocks::render('http://feeds.arstechnica.com/arstechnica/BAaf'); ?>
						</div>
						<!-- end 8th row -->
						


						<div class="clearer"></div>
					</div><!-- END NEWS-ENTRY -->
				</div><!-- END POST -->
				<!-- <rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" 
					      xmlns:dc="http://purl.org/dc/elements/1.1/"
						  xmlns:trackback="http://madskills.com/public/xml/rss/module/trackback/">
					 <rdf:Description rdf:about="http://www.delic.com/news/?p=1"
						  dc:identifier="http://www.delic.com/news/?p=1"
						  dc:title="Hello world!"
						  trackback:ping="http://www.delic.com/news/wp-trackback.php?p=1" />
					</rdf:RDF> -->
			</div><!-- END CONTENT -->
		</div><!-- END WRAPPER -->
		<div id="footer">
			<br />
			<p>&copy; Delic News |  Shell: <a href="http://www.plaintxt.org/themes/simplr/" title="Simplr for WordPress" rel="follow">Simplr</a> by <a href="http://scottwallick.com/" title="scottwallick.com" rel="follow">Scott</a> | Script: <a href="http://simplepie.org" title="Popurls Clone and RSS Aggregation for Wordpress">Simplepie</a></p>
			<br /><br />
		</div><!-- END FOOTER -->
	</div><!-- END CONTAINER -->
	<script type="text/javascript">loadMe();</script>
</body>
</html>